Bug 21325 - tolower/toupper in tr_TR locale.
Summary: tolower/toupper in tr_TR locale.
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-25 14:08 UTC by Sam Varshavchik
Modified: 2016-11-24 14:58 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-25 14:08:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sam Varshavchik 2000-11-25 14:08:43 UTC
Consider this:

       setlocale(LC_ALL, "tr_TR");
   
        printf ("%c\n", tolower('I'));
 

This produces the character code 0xFD, instead of the lowercase 'i', 0x69.

In /usr/share/locale/locale.alias we have:

turkish         tr_TR.ISO-8859-9

In http://www.unicode.org/Public/MAPPINGS/ISO8859/8859-9.TXT we have:

0x49    0x0049  #       LATIN CAPITAL LETTER I

Code 0x49 in iso-8859-9 is still latin uppercase 'I', unicode 0x0049, and
its lowercase equivalent is still 0x0069, code 0x69, so what is tolower()
doing here?

Comment 1 Jakub Jelinek 2000-11-27 13:21:20 UTC
Read the mapping again, you'll find that Turkish has also
LATIN CAPITAL LETTER I WITH DOT ABOVE (that is toupper('i'))
and LATIN SMALL LETTER DOTLESS I (that is tolower('I')).


Note You need to log in before you can comment on or make changes to this bug.